# h5group

Create a group

## Calling Sequence

                h5group(obj, names)
                h5group(filename, names)

## Arguments

obj

  a H5Object

names

  a matrix of strings giving the names

filename

  a string giving the filename

## Description

Create a set of groups.

## Examples

    // We create a file
    a = h5open(TMPDIR + "/test_group.h5", "a");

    // We create a set of 10 groups containg 10 subgroups
    // Firstly, we create the names
    gnames = "Group_" + string(1:10);
    sgnames = "SubGroup_" + string(1:10);
    names = gnames;
    for s=gnames
        names = [names s + "/" + sgnames]
    end

    // Secondly, we create the groups
    h5group(a, names);

    // We can check that all is ok
    h5ls(a)

    // ...and
    h5ls(a, "Group_3")

    // Free the resources associated to a
    h5close(a);

## See Also

- h5group
- h5dataset
- h5attr

## History

5.5.0
HDF5 module introduced.